
Redmine - Feature #9076

Allow to prefill issue form via http url parameter

2011-08-17 12:28 - Terence Mill

Status: Closed Start date: 2011-08-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be usefully to be able to set all issue form filed via http get parameter.

e.g http://www.redmine.org/issues/new?id=&project_id=redmine&tracker=2&category_id=1

Related issues:

Has duplicate Redmine - Feature #10105: set fields values by new issues Closed

Associated revisions

Revision 9174 - 2012-03-10 14:57 - Jean-Philippe Lang

Adds a test for #9076.

History

#1 - 2012-03-08 15:03 - Ján Regeš

Hi, +1 for this feature.

For us, it's really important - we need it for creating a "smart quick links" for our clients.

Thank you.

#2 - 2012-03-08 21:09 - Terence Mill

+1

#3 - 2012-03-09 22:28 - Jean-Philippe Lang

- Status changed from New to Closed

Actually, it's already possible using the following syntax:

http://www.redmine.org/projects/redmine/issues/new?issue[tracker_id]=2&issue[category_id]=1

#4 - 2012-03-09 23:06 - Terence Mill

- Status changed from Closed to Reopened

We need to prefill description and custom fields of type list, version, text and user. Can't find and example in wiki.

#5 - 2012-03-10 11:10 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Here is an example with prefilled description and custom field:

http://www.redmine.org/projects/redmine/issues/new?issue[description]=prefilled%20description&issue[custom_field_values][2]=Duplicate

For user and version custom fields, you have to provide the user id or version id, eg: issue[custom_field_values][5]=26 where 5 is the custom field id

and 26 is the user/version id.

#6 - 2016-10-07 21:11 - Darren Pearce

I'm trying to use this feature so that I can supply links in an email that users can click on, thus optimising their flow for creating an issue. A URL such

as this:
http://www.redmine.org/issues/new?id=&project_id=redmine&tracker=2&category_id=1
http://www.redmine.org/projects/redmine/issues/new?issue%5Btracker_id%5D=2&issue%5Bcategory_id%5D=1
http://www.redmine.org/projects/redmine/issues/new?issue%5Bdescription%5D=prefilled%20description&issue%5Bcustom_field_values%5D%5B2%5D=Duplicate


.../issues/new?issue[tracker_id]=7&issue[subject]=Example%20Subject&issue[custom_field_values][3]=1.2.4&issue[

custom_field_values][6][]=Android&issue[custom_field_values][6][]=iOS&issue[priority_id]=5

works fine with the syntax of issue[custom_field_values][6][] working to specify multiple values for a custom field (the syntax was an educated guess). 

However, when I try to specify the assignee with issue[assignee_id] such as:

.../issues/new?issue[tracker_id]=7&issue[subject]=Example%20Subject&issue[custom_field_values][3]=1.2.4&issue[

custom_field_values][6][]=Android&issue[custom_field_values][6][]=iOS&issue[priority_id]=5&issue[assignee_id]=

2

or (in desperation):

.../issues/new?issue[tracker_id]=7&issue[subject]=Example%20Subject&issue[custom_field_values][3]=1.2.4&issue[

custom_field_values][6][]=Android&issue[custom_field_values][6][]=iOS&issue[priority_id]=5&issue[user_id]=1

where 1 is a valid user id, it doesn't work. Am I missing something?    

We are on a rather old version of Redmine (Redmine 2.4.2.stable) so can you advise if this was fixed in later versions or if I am doing something

wrong?

#7 - 2016-10-09 11:09 - Jean-Philippe Lang

Use issue[assigned_to_id] instead of issue[assignee_id]. Please don't post here in closed tickets.

#8 - 2018-01-04 12:34 - Go MAEDA

- Has duplicate Feature #10105: set fields values by new issues added
